package com.idea.invoice.service;

import cn.hutool.core.util.IdUtil;
import com.idea.invoice.mapper.ReceiptManageMapper;
import com.idea.invoice.model.ReceiptManage;
import com.idea.invoice.model.ReceiptManageExample;
import com.rockstar.common.base.BaseService;
import com.rockstar.util.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReceiptManageService implements BaseService<ReceiptManage, ReceiptManageExample> {

    @Autowired
    private ReceiptManageMapper modelMapper;

    @Override
    public int deleteByPrimaryKey(String s) {
        return modelMapper.deleteByPrimaryKey(s);
    }

    @Override
    public int insertSelective(ReceiptManage receiptManage) {
        receiptManage.setId(IdUtil.simpleUUID());
        return modelMapper.insertSelective(receiptManage);
    }

    @Override
    public ReceiptManage selectByPrimaryKey(String s) {
        return modelMapper.selectByPrimaryKey(s);
    }

    @Override
    public int updateByPrimaryKeySelective(ReceiptManage receiptManage) {
        return modelMapper.updateByPrimaryKeySelective(receiptManage);
    }

    @Override
    public int updateByExampleSelective(ReceiptManage receiptManage, ReceiptManageExample receiptManageExample) {
        return modelMapper.updateByExampleSelective(receiptManage,receiptManageExample);
    }

    @Override
    public int updateByExample(ReceiptManage receiptManage, ReceiptManageExample receiptManageExample) {
        return modelMapper.updateByExample(receiptManage,receiptManageExample);
    }

    @Override
    public List<ReceiptManage> selectByExample(ReceiptManageExample receiptManageExample) {
        return modelMapper.selectByExample(receiptManageExample);
    }

    @Override
    public long countByExample(ReceiptManageExample receiptManageExample) {
        return modelMapper.countByExample(receiptManageExample);
    }

    @Override
    public int deleteByExample(ReceiptManageExample receiptManageExample) {
        return modelMapper.deleteByExample(receiptManageExample);
    }

    public ReceiptManageExample getCondition(ReceiptManage model){

        ReceiptManageExample example = new ReceiptManageExample();
        example.setOrderByClause("created_at");
        ReceiptManageExample.Criteria criteria = example.createCriteria();
        if(StringUtils.isNotEmpty(model.getHouseName())){
            criteria.andHouseNameLike("%" + model.getHouseName() + "%");
        }
        return example;
    }




}
